<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: 構造体 MDrawGlyph</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li class="current"><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="classes.html"><span>データ構造索引</span></a></li>
      <li><a href="functions.html"><span>データフィールド</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>構造体 MDrawGlyph<br/>
<small>
[<a class="el" href="group__m17nDraw.html">表示</a>]</small>
</h1><!-- doxytag: class="MDrawGlyph" -->
<p>グリフの寸法とフォントに関する情報の型宣言.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#a01c9f0e3bf606fdc192dc57e628b4535">from</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#a41c5fd578f7167e8d9bc31ae9df0dccf">to</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#aebd827c9ab5b6cfda97ff1d150594d8c">glyph_code</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#ac814c13052221a9e7195dfcdf5d4297f">x_advance</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#a0ea0c7bb474929dd6094af188b72ad13">y_advance</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#a89b7f81aa679efbc999a1e5b1e37de60">x_off</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#a0aa9c8644380aaa7572efc60b020a0d4">y_off</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#a0ac28c3492847ea5b776c4dbdc87c1a3">lbearing</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#a09fdb20e585babecfec18d6f3fc98420">rbearing</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#a247a594b7ad149f97f8ba6524fd2223b">ascent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#a2b9cebf0a3800ec7dbfac0d683d7c421">descent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#ac010255718f969e36d838f87b70e7f06">font</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#ab6983fa35f2a3b7815155a6c3d0dfcfd">font_type</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html#a1077271146021fa87e1b0ab8dcb0ee8d">fontp</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>グリフの寸法とフォントに関する情報の型宣言. </p>
<p><a class="el" href="structMDrawGlyph.html" title="グリフの寸法とフォントに関する情報の型宣言.">MDrawGlyph</a> 型はグリフの寸法とフォントに関する情報を含む構造体である。 <a class="el" href="group__m17nDraw.html#ga5ad6646874580721d879c82a8a5dbafc" title="グリフ列に関する情報を計算する.">mdraw_glyph_list()</a> はこれを用いる。 </p>
<hr/><h2>構造体</h2>
<a class="anchor" id="a01c9f0e3bf606fdc192dc57e628b4535"></a><!-- doxytag: member="MDrawGlyph::from" ref="a01c9f0e3bf606fdc192dc57e628b4535" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyph.html#a01c9f0e3bf606fdc192dc57e628b4535">MDrawGlyph::from</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>グリフに対応する文字の範囲. </p>

</div>
</div>
<a class="anchor" id="a41c5fd578f7167e8d9bc31ae9df0dccf"></a><!-- doxytag: member="MDrawGlyph::to" ref="a41c5fd578f7167e8d9bc31ae9df0dccf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyph.html#a41c5fd578f7167e8d9bc31ae9df0dccf">MDrawGlyph::to</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aebd827c9ab5b6cfda97ff1d150594d8c"></a><!-- doxytag: member="MDrawGlyph::glyph_code" ref="aebd827c9ab5b6cfda97ff1d150594d8c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyph.html#aebd827c9ab5b6cfda97ff1d150594d8c">MDrawGlyph::glyph_code</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>フォント内のグリフコード。 </p>

</div>
</div>
<a class="anchor" id="ac814c13052221a9e7195dfcdf5d4297f"></a><!-- doxytag: member="MDrawGlyph::x_advance" ref="ac814c13052221a9e7195dfcdf5d4297f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyph.html#ac814c13052221a9e7195dfcdf5d4297f">MDrawGlyph::x_advance</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>グリフの論理的幅。次のグリフとの名目上の距離。 </p>

</div>
</div>
<a class="anchor" id="a0ea0c7bb474929dd6094af188b72ad13"></a><!-- doxytag: member="MDrawGlyph::y_advance" ref="a0ea0c7bb474929dd6094af188b72ad13" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyph.html#a0ea0c7bb474929dd6094af188b72ad13">MDrawGlyph::y_advance</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>グリフの論理的高さ。次のグリフとの名目上の距離。 </p>

</div>
</div>
<a class="anchor" id="a89b7f81aa679efbc999a1e5b1e37de60"></a><!-- doxytag: member="MDrawGlyph::x_off" ref="a89b7f81aa679efbc999a1e5b1e37de60" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyph.html#a89b7f81aa679efbc999a1e5b1e37de60">MDrawGlyph::x_off</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>グリフの位置に対する X オフセット. </p>

</div>
</div>
<a class="anchor" id="a0aa9c8644380aaa7572efc60b020a0d4"></a><!-- doxytag: member="MDrawGlyph::y_off" ref="a0aa9c8644380aaa7572efc60b020a0d4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyph.html#a0aa9c8644380aaa7572efc60b020a0d4">MDrawGlyph::y_off</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>グリフの位置に対する Y オフセット. </p>

</div>
</div>
<a class="anchor" id="a0ac28c3492847ea5b776c4dbdc87c1a3"></a><!-- doxytag: member="MDrawGlyph::lbearing" ref="a0ac28c3492847ea5b776c4dbdc87c1a3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyph.html#a0ac28c3492847ea5b776c4dbdc87c1a3">MDrawGlyph::lbearing</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>グリフの寸法 (left-bearing). </p>

</div>
</div>
<a class="anchor" id="a09fdb20e585babecfec18d6f3fc98420"></a><!-- doxytag: member="MDrawGlyph::rbearing" ref="a09fdb20e585babecfec18d6f3fc98420" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyph.html#a09fdb20e585babecfec18d6f3fc98420">MDrawGlyph::rbearing</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>グリフの寸法 (right-bearing). </p>

</div>
</div>
<a class="anchor" id="a247a594b7ad149f97f8ba6524fd2223b"></a><!-- doxytag: member="MDrawGlyph::ascent" ref="a247a594b7ad149f97f8ba6524fd2223b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyph.html#a247a594b7ad149f97f8ba6524fd2223b">MDrawGlyph::ascent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>グリフの寸法 (ascent). </p>

</div>
</div>
<a class="anchor" id="a2b9cebf0a3800ec7dbfac0d683d7c421"></a><!-- doxytag: member="MDrawGlyph::descent" ref="a2b9cebf0a3800ec7dbfac0d683d7c421" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawGlyph.html#a2b9cebf0a3800ec7dbfac0d683d7c421">MDrawGlyph::descent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>グリフの寸法 (descent). </p>

</div>
</div>
<a class="anchor" id="ac010255718f969e36d838f87b70e7f06"></a><!-- doxytag: member="MDrawGlyph::font" ref="ac010255718f969e36d838f87b70e7f06" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a>* <a class="el" href="structMDrawGlyph.html#ac010255718f969e36d838f87b70e7f06">MDrawGlyph::font</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>グリフに使われるフォント。見つからなければ NULL。 </p>

</div>
</div>
<a class="anchor" id="ab6983fa35f2a3b7815155a6c3d0dfcfd"></a><!-- doxytag: member="MDrawGlyph::font_type" ref="ab6983fa35f2a3b7815155a6c3d0dfcfd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="structMDrawGlyph.html#ab6983fa35f2a3b7815155a6c3d0dfcfd">MDrawGlyph::font_type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>フォントのタイプ。Mx、Mfreetype、Mxft のいずれか。 </p>

</div>
</div>
<a class="anchor" id="a1077271146021fa87e1b0ab8dcb0ee8d"></a><!-- doxytag: member="MDrawGlyph::fontp" ref="a1077271146021fa87e1b0ab8dcb0ee8d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structMDrawGlyph.html#a1077271146021fa87e1b0ab8dcb0ee8d">MDrawGlyph::fontp</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>フォントの構造体へのポインタ。実際の型は &lt;font_type&gt; メンバが Mx なら (XFontStruct *)、 Mfreetype なら FT_Face、Mxft なら (XftFont *)。 </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
